Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.error
Class MarkedYAMLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.yaml.snakeyaml.error.YAMLException
                      org.yaml.snakeyaml.error.MarkedYAMLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComposerException, ConstructorException, ParserException, ScannerException

    public class MarkedYAMLException

extends YAMLException

See Also:
  Serialized Form

Constructor Summary
`protected` | `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark)`
`protected` | `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, String note)`
`protected` | `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, String note, Throwable cause)`
`protected` | `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, Throwable cause)`

Method Summary
`String` | `getContext()`
`Mark` | `getContextMark()`
`String` | `getProblem()`
`Mark` | `getProblemMark()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkedYAMLException

    protected MarkedYAMLException(String context,
                                  Mark contextMark,
                                  String problem,
                                  Mark problemMark,
                                  String note)

### MarkedYAMLException

    protected MarkedYAMLException(String context,
                                  Mark contextMark,
                                  String problem,
                                  Mark problemMark,
                                  String note,
                                  Throwable cause)

### MarkedYAMLException

    protected MarkedYAMLException(String context,
                                  Mark contextMark,
                                  String problem,
                                  Mark problemMark)

### MarkedYAMLException

    protected MarkedYAMLException(String context,
                                  Mark contextMark,
                                  String problem,
                                  Mark problemMark,
                                  Throwable cause)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getContext

    public String getContext()

### getContextMark

    public Mark getContextMark()

### getProblem

    public String getProblem()

### getProblemMark

    public Mark getProblemMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.